Bug 1200613 - KeyError: "Cannot add thread 'AnaExecuteStorageThread', a thread with the same name already running"
Summary: KeyError: "Cannot add thread 'AnaExecuteStorageThread', a thread with the sam...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 22
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Konecny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:39f959442455741274c20d85e8a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-11 00:06 UTC by Robert Lightfoot
Modified: 2016-07-19 12:59 UTC (History)
6 users (show)

Fixed In Version: anaconda-22.20.8-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:59:24 UTC


Attachments (Terms of Use)
File: anaconda-tb (304.67 KB, text/plain)
2015-03-11 00:07 UTC, Robert Lightfoot
no flags Details
File: anaconda.log (16.80 KB, text/plain)
2015-03-11 00:07 UTC, Robert Lightfoot
no flags Details
File: dnf.log (4.73 KB, text/plain)
2015-03-11 00:07 UTC, Robert Lightfoot
no flags Details
File: environ (492 bytes, text/plain)
2015-03-11 00:07 UTC, Robert Lightfoot
no flags Details
File: lsblk_output (1.31 KB, text/plain)
2015-03-11 00:07 UTC, Robert Lightfoot
no flags Details
File: nmcli_dev_list (1.02 KB, text/plain)
2015-03-11 00:07 UTC, Robert Lightfoot
no flags Details
File: os_info (443 bytes, text/plain)
2015-03-11 00:07 UTC, Robert Lightfoot
no flags Details
File: program.log (18.90 KB, text/plain)
2015-03-11 00:07 UTC, Robert Lightfoot
no flags Details
File: storage.log (55.46 KB, text/plain)
2015-03-11 00:07 UTC, Robert Lightfoot
no flags Details
File: syslog (68.61 KB, text/plain)
2015-03-11 00:07 UTC, Robert Lightfoot
no flags Details
File: ifcfg.log (2.26 KB, text/plain)
2015-03-11 00:07 UTC, Robert Lightfoot
no flags Details
File: packaging.log (278 bytes, text/plain)
2015-03-11 00:07 UTC, Robert Lightfoot
no flags Details

Description Robert Lightfoot 2015-03-11 00:06:58 UTC
Description of problem:
F22 Servier Net Install Anaconda, just left partition screen

Version-Release number of selected component:
anaconda-22.20.2-1

The following was filed automatically by anaconda:
anaconda 22.20.2-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 59, in add
    raise KeyError("Cannot add thread '%s', a thread with the same name already running" % obj.name)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 317, in execute
    target=self._doExecute))
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/utils.py", line 106, in _call_method
    func(*args)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 363, in spoke_done
    spoke.execute()
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/__init__.py", line 59, in on_back_clicked
    self.main_window.current_action.spoke_done(self)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 887, in on_back_clicked
    NormalSpoke.on_back_clicked(self, button)
KeyError: "Cannot add thread 'AnaExecuteStorageThread', a thread with the same name already running"

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python2  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-22_A-i386 quiet
dnf.rpm.log:    Mar 11 00:02:28 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.0.0-0.rc1.git0.1.fc22.i686
product:        Fedora"
release:        Cannot get release name.
type:           anaconda
version:        Fedora

Comment 1 Robert Lightfoot 2015-03-11 00:07:04 UTC
Created attachment 1000214 [details]
File: anaconda-tb

Comment 2 Robert Lightfoot 2015-03-11 00:07:05 UTC
Created attachment 1000215 [details]
File: anaconda.log

Comment 3 Robert Lightfoot 2015-03-11 00:07:06 UTC
Created attachment 1000216 [details]
File: dnf.log

Comment 4 Robert Lightfoot 2015-03-11 00:07:07 UTC
Created attachment 1000217 [details]
File: environ

Comment 5 Robert Lightfoot 2015-03-11 00:07:08 UTC
Created attachment 1000218 [details]
File: lsblk_output

Comment 6 Robert Lightfoot 2015-03-11 00:07:09 UTC
Created attachment 1000219 [details]
File: nmcli_dev_list

Comment 7 Robert Lightfoot 2015-03-11 00:07:10 UTC
Created attachment 1000220 [details]
File: os_info

Comment 8 Robert Lightfoot 2015-03-11 00:07:11 UTC
Created attachment 1000221 [details]
File: program.log

Comment 9 Robert Lightfoot 2015-03-11 00:07:13 UTC
Created attachment 1000222 [details]
File: storage.log

Comment 10 Robert Lightfoot 2015-03-11 00:07:15 UTC
Created attachment 1000223 [details]
File: syslog

Comment 11 Robert Lightfoot 2015-03-11 00:07:16 UTC
Created attachment 1000224 [details]
File: ifcfg.log

Comment 12 Robert Lightfoot 2015-03-11 00:07:17 UTC
Created attachment 1000225 [details]
File: packaging.log

Comment 13 Kamil Páral 2015-03-17 09:47:01 UTC
Another user experienced a similar problem:

I rescanned disks (emptied them in a terminal beforehand), selected the first one and used automatic partitioning.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python2  /sbin/anaconda
cmdline_file:   inst.stage2=nfs:nfs.englab.brq.redhat.com:/pub/fedora/fedora-alt/stage/22_Beta_TC2/Workstation/x86_64/os/ initrd=F22/Beta_TC2/Workstation/x86_64/initrd.img rhgb quiet BOOT_IMAGE=F22/Beta_TC2/Workstation/x86_64/vmlinuz 
dnf.rpm.log:    Mar 17 09:43:09 INFO --- logging initialized ---
hashmarkername: anaconda
kernel:         4.0.0-0.rc1.git0.1.fc22.x86_64
package:        anaconda-22.20.4-1
product:        Fedora"
reason:         KeyError: "Cannot add thread 'AnaExecuteStorageThread', a thread with the same name already running"
release:        Cannot get release name.
version:        Fedora

Comment 14 Fedora End Of Life 2016-07-19 12:59:24 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.